/*
 * Copyright 1999-2006 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.globus.tutorial.impl.filestore.factory;

import org.globus.wsrf.ResourceHome;
import org.globus.wsrf.ResourceContext;

import org.globus.wsrf.security.SecurityManager;

import org.globus.tutorial.types.filestore.Request;
import org.globus.tutorial.types.filestore.RequestFileType;
import org.globus.tutorial.types.filestore.FileStoreException;

import org.globus.tutorial.impl.filestore.Constants;

import org.apache.axis.message.addressing.EndpointReferenceType;

import java.rmi.RemoteException;

import javax.naming.InitialContext;

/**
 * Provides factory service methods.
 *
 */
public class FileStoreFactoryService {

    public EndpointReferenceType createFile(Request request) 
        throws RemoteException, FileStoreException {

        String callerDN = SecurityManager.getManager().getCaller();

        if (callerDN == null) {
            throw Constants.makeFault("Unable to get called DN. Secure "
                                      + "invocation is required.");
        }

        ResourceContext context = ResourceContext.getResourceContext();
        ResourceHome home = context.getResourceHome();
        return ((FileStoreFactoryHome)home).create(request, callerDN);
    }
}
