/*
 * XMLBuilder1D.java
 *
 * Created on 06 June 2005, 14:29
 */
package school.tutorial.builder;

import org.w3c.dom.Text;
import org.w3c.dom.Element;
import org.w3c.dom.Document;

import javax.xml.parsers.ParserConfigurationException;

import org.globus.tutorial.types.filestore.Point;

/**
 * Class for building a XML DOM document containing 1D data. 
 * @author sara
 */
public class XMLBuilder1D extends XMLBuilder{
    
    /** Creates a new instance of XMLBuilder1D */
    public XMLBuilder1D() throws ParserConfigurationException {
        super();
    }
    /** Method for building a DOM document from an array of Double
     * @param f holds the 1D data
     * @return the DOM document produced 
     */
    public Document build(Object[] f){
        doc = builder.newDocument();
        Element root = createOneDFile(f);
        doc.appendChild(root);
        return doc;
    }
    /** Method for creating element for the 1D data
     * @param f holds the 1D data
     * @return the Element containing the 1D XML representation
     */
    private Element createOneDFile(Object[] f){
        Element oDE = doc.createElement("OneDFile");
	for(int i=0; i< f.length;i++){
            Element e = createValue(((Double)f[i]).doubleValue(),"x");
            oDE.appendChild(e);
        }
        return oDE;
    }

}
