/*
 * XMLBuilder2D.java
 *
 * Created on 06 June 2005, 14:29
 */
package school.tutorial.builder;

import org.w3c.dom.Text;
import org.w3c.dom.Element;
import org.w3c.dom.Document;

import javax.xml.parsers.ParserConfigurationException;

import org.globus.tutorial.types.filestore.Point;
import org.globus.tutorial.types.filestore.Triple;

/**
 * Class for building a XML DOM document containing 2D data. 
 * @author sara
 */
public class XMLBuilder2D extends XMLBuilder{
    
    /** Creates a new instance of XMLBuilder2D */
    public XMLBuilder2D() throws ParserConfigurationException{
        super();
    }

    /** Method for building a DOM document from an array of Point
     * @param f holds the 2D data
     * @return the DOM document produced 
     */
     public Document build(Object[] f){
        doc = builder.newDocument();
        Element root = createTwoDFile(f);
        doc.appendChild(root);
        return doc;
    }       

    /** Method for creating the element for the 2-D data
     * @param f holds the 2D data
     * @return the Element containing the 2D XML representation
     */
     private Element createTwoDFile(Object[] f){
        Element tde = doc.createElement("TwoDFile");
	for(int i=0;i< f.length;i++){
            Element e = createPoint((Point)f[i]);
            tde.appendChild(e);
        }
        return tde;
    }

}
