/*
 * XMLBuilder3D.java
 *
 * Created on 06 June 2005, 14:29
 */
package school.tutorial.builder;

import org.w3c.dom.Text;
import org.w3c.dom.Element;
import org.w3c.dom.Document;

import javax.xml.parsers.ParserConfigurationException;

import org.globus.tutorial.types.filestore.Point;
import org.globus.tutorial.types.filestore.Triple;

/**
 * Class for building a XML DOM document containing 3D data. 
 * @author sara
 */
public class XMLBuilder3D extends XMLBuilder{
    
    /** Creates a new instance of XMLBuilder3D */
    public XMLBuilder3D() throws ParserConfigurationException {
        super();
    }
    /** Method for building a DOM document from an array of Triple
     * @param f holds the 3D data
     * @return the DOM document produced 
     */
    public Document build(Object[] f){
        doc = builder.newDocument();
        Element root = createThreeDFile(f);
        doc.appendChild(root);
        return doc;
    }
    /** Method for creating an element for the 3D data
     * @param f holds the 3D data
     * @return the Element containing the 3D XML representation
     */
    private Element createThreeDFile(Object[] f){
        Element threeDE = doc.createElement("ThreeDFile");
	for(int i=0; i< f.length;i++){
            Element e = createTriple((Triple)f[i]);
            threeDE.appendChild(e);
        }
        return threeDE;
    }
}
