/*
 * XMLParser1D.java
 *
 * Created on 09 June 2005, 11:31
 */
package school.tutorial.parser;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.Vector;
/**
 * Class for reading in a XML file containing 1D data
 * @author sara
 */
public class XMLParser1D extends XMLParser{
    
    /** Creates a new instance of XMLParser1D */
    public XMLParser1D() throws ParserConfigurationException{
        super();
    }
    
    /** Method for extracting the 1D data 
     * @param e the root element of the XML document
     * @return a File object containing the 1D data.
     */
    protected Vector getContents(Element e){
	if(!(e.getTagName().trim()).equals("OneDFile"))
	    return null;
        NodeList children = e.getElementsByTagName("x");
	Vector vec = new Vector();
        for(int i=0; i < children.getLength();i++){
            Node childNode = children.item(i);
            if(childNode instanceof Element){
                Element childElement = (Element) childNode;
                Double x = getValue(childElement);
                if(x != null) vec.add(x);
            }
        }
        return vec;
    }
}
