/*
 * XMLParser2D.java
 *
 * Created on 09 June 2005, 11:31
 */

package school.tutorial.parser;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.Vector;

import org.globus.tutorial.types.filestore.Point;
import org.globus.tutorial.types.filestore.Triple;
/**
 * Class for reading in a XML file containing 2D data
 * @author sara
 */
public class XMLParser2D extends XMLParser{

    /** Creates a new instance of XMLParser2D */
    public XMLParser2D() throws ParserConfigurationException{
        super();
    }
    /** Method for extracting the 2D data 
     * @param e the root element of the XML document
     * @return a Vector object containing the 2D data.
     */
    protected Vector getContents(Element e){
	if(!(e.getTagName().trim()).equals("TwoDFile"))
	    return null;
        NodeList children = e.getElementsByTagName("p");
	Vector vec = new Vector();
        for(int i=0; i < children.getLength();i++){
            Node childNode = children.item(i);
            if(childNode instanceof Element){
                Element childElement = (Element) childNode;
                Point p = getPoint(childElement);
                if(p != null) vec.add(p);
            }
        }
        return vec;
    }    
}
