/*
 * XMLParser3D.java
 *
 * Created on 09 June 2005, 11:32
 */
package school.tutorial.parser;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.Vector;

import org.globus.tutorial.types.filestore.Point;
import org.globus.tutorial.types.filestore.Triple;

/**
 * Class for reading in a XML file containing 3D data
 * @author sara
 */
public class XMLParser3D extends XMLParser{
    
    /** Creates a new instance of XMLParser3D */
    public XMLParser3D() throws ParserConfigurationException {
        super();
    }
    /** Method for extracting the 3D data 
     * @param e the root element of the XML document
     * @return a Vector object containing the 3D data.
     */
    protected Vector getContents(Element e){
	if(!(e.getTagName().trim()).equals("ThreeDFile"))
	    return null;
        NodeList children = e.getElementsByTagName("Triple");
	Vector vec = new Vector();
        for(int i=0; i < children.getLength();i++){
            Node childNode = children.item(i);
            if(childNode instanceof Element){
                Element childElement = (Element) childNode;
                Triple t = getTriple(childElement);
                if(t != null) vec.add(t);
            }
        }
        return vec;
    }
}
