/*
 * Copyright 1999-2006 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.globus.tutorial.impl.surface.service;

import org.globus.tutorial.surface.Shape;

/**
 * @author sara
 */
public class Hemisphere implements Shape{

    private double xCentre;
    private double yCentre;

    private double radius;

    public Hemisphere(double x, double y, double r){
	xCentre = x;
	yCentre = y;
	radius = r;
    }

    public boolean inside(double x, double y){
	double dx = xCentre-x;
	double dy = yCentre-y;
	return (Math.sqrt(dx*dx+dy*dy) <= radius);
    }

    public double elevation(double x, double y){
	double dx = xCentre-x;
	double dy = yCentre-y;
	double r = Math.sqrt(dx*dx+dy*dy);
	return Math.sqrt(radius*radius-r*r);
    }

}
