/*
 * Copyright 1999-2006 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.globus.tutorial.impl.surface.service;

import org.globus.tutorial.types.surface.ProbeException;

import org.globus.wsrf.Resource;

import org.globus.wsrf.impl.SingletonResourceHome;

import org.globus.tutorial.surface.SurfaceResource;

import org.globus.wsrf.utils.FaultHelper;

public class SurfaceHome extends SingletonResourceHome {

    protected Class resourceClass;

    String configFile;

    protected Resource findSingleton() {
        SurfaceResource resource = null;
        try {
            resource = 
                (SurfaceResource)this.resourceClass.newInstance();
        } catch (Exception exp) {
            throw new RuntimeException(exp.getMessage());
        }
        try {
            resource.initialize(this.configFile);
        } catch (ProbeException exp) {
            FaultHelper fh = new FaultHelper(exp);
            String errorStr = fh.getDescriptionAsString();
            throw new RuntimeException(errorStr);
        }
        return resource;
    }

    public void setResourceClass(String clazz)
        throws ClassNotFoundException {
        this.resourceClass = Class.forName(clazz);
    }

    public String getResourceClass() {
        return this.resourceClass.getName();
    }

    public void setConfigFile(String config) {
        this.configFile = config;
    }

    public String getConfigFile() {
        return this.configFile;
    }
}
