/*
 * XMLToGnuFormat.java
 *
 * Created on 09 June 2005, 11:32
 */

package school.tutorial.gnu;

import java.io.FileWriter;
import java.io.PrintWriter;
import java.io.IOException;

import org.globus.tutorial.types.filestore.Data;
import org.globus.tutorial.types.filestore.ArrayOfDouble;
import org.globus.tutorial.types.filestore.Point;
import org.globus.tutorial.types.filestore.Triple;

/**
 * Class to convert files from XML to a format acceptable to GnuPlot 
 * @author sara
 */
public class XMLToGnuFormat{

    /** Creates a new instance of XMLToGnuFormat */
    public XMLToGnuFormat(){
    }

    /** Method to convert the input XML file to a plain text format e.g. 
     * for 3D data the output of the data is
     * a file containing three columns, one each for x, y and z.
     * @param in the 3D data
     * @param fNameOut the filename for the GnuPlot data file.
     */
    public void convert(Data in, String fNameOut) 
	throws XMLGnuConversionException{
	String error = "Convert XML to Gnu Format: ";
	try{
	    PrintWriter pw;
	    java.io.File f = new java.io.File(fNameOut);
	    if(!f.createNewFile()) 
		throw new IOException("File: "+fNameOut+" already exists");
	    pw = new PrintWriter(new FileWriter(f));
	    ArrayOfDouble[] arrays = in.getArray();
	    double[] x = arrays[0].getValue();
	    double[] y = arrays[1].getValue();
	    double[] z = arrays[2].getValue();
            int length = x.length;
            for (int i=0; i<length; i++) {
                pw.println(x[i] + " " + y[i] + " " 
                           + z[i]);
            }

	    pw.close();
	}
	catch(IOException ioe){
	    error += ioe.getMessage();
	}
    }

}
